/usr/bin/couchjs crashes with /usr/lib/xulrunner-2.0/ libmozjs.so dir

Bug #736847 reported by Roman Yepishev on 2011-03-17
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
couchdb (Ubuntu)
High
Chris Coulson

Bug Description

Binary package hint: couchdb

This is what gets written to the logs:

[Thu, 17 Mar 2011 12:46:38 GMT] [debug] [<0.25631.1>] OS Process Start :: #Port<0.41331>
[Thu, 17 Mar 2011 12:46:38 GMT] [debug] [<0.25631.1>] OS Process #Port<0.41331> Input :: ["reset",{"reduce_limit":true}]
[Thu, 17 Mar 2011 12:46:38 GMT] [error] [<0.399.0>] OS Process Error <0.25631.1> :: {os_process_error,{exit_status,127}}

Attempting to run couchjs results in the following:
rtg@buzz:/etc/couchdb$ /usr/bin/couchjs /usr/share/couchdb/server/main.js
/usr/lib/couchdb/bin/couchjs: error while loading shared libraries: libmozjs.so: cannot open shared object file: No such file or directory

This is happening because xulrunner-2.0-mozjs puts libmozjs.so in /usr/lib/xulrunner-2.0 directory and /usr/bin/couchjs does the following lookup:
for i in /usr/lib/xulrunner-2.0b* /usr/lib/xulrunner-2.0.0.* ; do
    if [ -f ${i}/libmozjs.so ] ; then
        mozjs_path=${i}
        break
    fi
done

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: couchdb-bin 1.0.1-0ubuntu12
Uname: Linux 2.6.38-020638rc8-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Thu Mar 17 15:12:53 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
SourcePackage: couchdb
UpgradeStatus: Upgraded to natty on 2010-12-05 (101 days ago)

Related branches

Roman Yepishev (rye) wrote :
Chris Coulson (chrisccoulson) wrote :

Oops, that works with every possible version of xulrunner-2.0, except the release build ;)

Changed in couchdb (Ubuntu):
importance: Undecided → High
status: New → Triaged
assignee: nobody → Chris Coulson (chrisccoulson)
Changed in couchdb (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package couchdb - 1.0.1-0ubuntu13

---------------
couchdb (1.0.1-0ubuntu13) natty; urgency=low

  * Fix LP: #736847 - couchjs doesn't search in xulrunner release path
    for libmozjs. I made it search in all paths for the 2.0 beta and
    point releases, but missed this one. D'oh!
    - update debian/mozjs1.9_ldlibpath.patch
 -- Chris Coulson <email address hidden> Fri, 18 Mar 2011 00:09:31 +0000

Changed in couchdb (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers